Page MenuHomePhabricator

cat: test output path behvaior when target path does not exist
ClosedPublic

Authored by ryanmce on Nov 7 2017, 4:49 PM.

Details

Summary

In the next patch, we will change the behavior of the cat command to create
output file parent directories before attempting to write the output file.
This patch documents the current unfortunate behavior.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ryanmce created this revision.Nov 7 2017, 4:49 PM
mbthomas accepted this revision.Nov 8 2017, 3:32 PM
yuja accepted this revision.Nov 9 2017, 8:33 AM
This revision is now accepted and ready to land.Nov 9 2017, 8:33 AM
This revision was automatically updated to reflect the committed changes.